Subject: Re: [PWE3] [mpls-tp] Clarification request on MPLS-TP maintanence identifiers

From: venkatesan mahalingam <[email-masked]>
Date: Fri, 30 Jul 2010 20:24:38 +0530

Maarten,

Thanks for your response.

Still, I could not completely understand the MEPs and MIPs in a MEG.

Could you please explain the usage of per node/per interface MEP (Up MEP and
Down MEP) and MIP in the transport network with the help of the separate
diagram?

Thanks,
Venkat.
On Fri, Jul 30, 2010 at 2:30 PM, Maarten Vissers <[email-masked]
> wrote:

> Venkat,
>
> An ME is a p2p entity. One ME has as such two MEPs.
> A MEG is a group of ojne or more MEs. One MEG can have two or more MEPs.
>
> If you multiplex multiple client signals into a server signal, then you
> will
> have one server MEG supporting N client MEGs.
> An example in Ethernet is to have e.g. N C-VLANs carried in one S-VLAN. For
> the case each C-VLAN has a VLAN Tag when carried in the S-VLAN, each C-VLAN
> has up to 8 MEG levels and the S-VLAN has an independent set of up to 8 MEG
> levels.
>
> An example in MPLS-TP is to transport N transport service signals (i.e.
> service-LSPs, PWs and HVPLSs) into a transport path signal (transport-LSP).
> The transport path signal has one or more MEG levels and each of the
> transport service signals has one or more MEG levels (service-LSPs, PWs) or
> has up to 8 MEG levels (HVPLS instances) . The MEG levels in MPLS-TP
> transport service and transport path layers are encoded by means of label
> stacking; i.e. the SPME LSPs represent additional MEG levels in these
> transport service and transport path layers.
>
> In my reponse to Dave on Monday (see "Re: [mpls-tp] Problems with SPME as
> the path segment monitoring tool in MPLS-TP") I have listed functionality
> that line and trib cardsd may have to support. I have copied these lists
> below and I have added an indication which of the MEPs are UP or DOWN MEPs.
>
> Line Cards, Ingress port
> ========================
> 1) PHY Termination Sink (DOWN MEP)
> 2) PHY to MPLS-TP Section Adaptation Sink
> 3) MPLS-TP Section TCM MEP Sink (Section SPME MEP Sink) (DOWN MEP)
> 4) MPLS-TP Section NCM MEP Sink (Section MEP Sink) (DOWN MEP)
> 5) MPLS-TP Section to Transport Path Adaptation Sink (demuxing)
> 6) MPLS-TP Transport Path TCM MEP Sink (TP SPME MEP Sink) (DOWN MEP)
> 7) MPLS-TP Transport Path NCM MEP Sink (TP MEP Sink) (DOWN MEP)
> 8) MPLS-TP Transport Path to Transport Section Adaptation Sink (demuxing)
> 9) MPLS-TP Transport Service TCM MEP Sink (SPME MEP Sink) and Ethernet TCM
> MEP Sink (SPME MEP Sink) (DOWN MEP)
> 10) MPLS-TP Transport Service TCM MEP Sink (SPME MEP Sink) and Ethernet TCM
> MEP Sink (SPME MEP Sink) (DOWN MEP)
> 11) MPLS-TP Transport Service TCM MEP Sink (SPME MEP Sink) and Ethernet TCM
> MEP Sink (SPME MEP Sink) (DOWN MEP)
> 12) -
> 13) MPLS-TP Transport Service MIP (PW, service-LSP MIPs) and Ethernet MIP
> 14) MPLS-TP Transport Service TCM MEP Source (SPME MEP Source) and Ethernet
> TCM MEP Source (SPME MEP Source) (UP MEP)
> 15) MPLS-TP Transport Path or Service TCM MEP Source (SPME MEP Source) and
> Ethernet TCM MEP Source (SPME MEP Source) (UP MEP)
>
> Line Cards, Egress port
> =================
> 1) PHY Termination Source (DOWN MEP)
> 2) PHY to MPLS-TP Section Adaptation Source
> 3) MPLS-TP Section TCM MEP Source (Section SPME MEP Source) (DOWN MEP)
> 4) MPLS-TP Section NCM MEP Source (Section MEP Source) (DOWN MEP)
> 5) MPLS-TP Section to Transport Path Adaptation Source (muxing)
> 6) MPLS-TP Transport Path TCM MEP Source (TP SPME MEP Source) (DOWN MEP)
> 7) MPLS-TP Transport Path NCM MEP Source (TP MEP Source) (DOWN MEP)
> 8) MPLS-TP Transport Path to Transport Section Adaptation Source (muxing)
> 9) MPLS-TP Transport Service TCM MEP Source (SPME MEP Source) and Ethernet
> TCM MEP Sink (SPME MEP Source) (DOWN MEP)
> 10) MPLS-TP Transport Service TCM MEP Source (SPME MEP Source) and Ethernet
> TCM MEP Sink (SPME MEP Source) (DOWN MEP)
> 11) MPLS-TP Transport Service TCM MEP Source (SPME MEP Source) and Ethernet
> TCM MEP Sink (SPME MEP Source) (DOWN MEP)
> 12) Ethernet Traffic Conditioning function
> 13) MPLS-TP Transport Path or Transport Service MIP (PW, service-LSP,
> transport-LSP, PSME-LSP MIPs) and Ethernet MIP
> 14) MPLS-TP Transport Service TCM MEP Sink (SPME MEP Sink) and Ethernet TCM
> MEP Sink (SPME MEP Sink) (UP MEP)
> 15) MPLS-TP Transport Path or Service TCM MEP Sink (SPME MEP Sink) and
> Ethernet TCM MEP Sink (SPME MEP Sink) (UP MEP)
>
>
> Trib Cards, Ingress port
> =================
> 0) client native ingress processing
> 1) MPLS-TP Transport Service to client Adaptation Source (mapping) and
> Ethernet to Ethernet client Adaptation Souce (mapping)
> 2) MPLS-TP Transport Service NCM MEP Source (PW, service-LSP MEP Source)
> and
> Ethernet NCM or TCM MEP Source (UP MEP)
> 3) MPLS-TP Transport Service TCM MEP Source (SPME MEP Source) and Ethernet
> TCM MEP Source (UP MEP)
> 4) MPLS-TP Transport Service TCM MEP Source (SPME MEP Source) and Ethernet
> TCM MEP Source (UP MEP)
>
> Trib Cards, Egress port
> =================
> 0) client native egress processing
> 1) MPLS-TP Transport Service to client Adaptation Sink (demapping) and
> Ethernet to Ethernet client Adaptation Sink (demapping)
> 2) MPLS-TP Transport Service NCM MEP Sink (PW, service-LSP MEP Sink ) and
> Ethernet NCM or TCM MEP Sink  (UP MEP)
> 3) MPLS-TP Transport Service TCM MEP Sink (SPME MEP Sink ) and Ethernet TCM
> MEP Sink  (UP MEP)
> 4) MPLS-TP Transport Service TCM MEP Sink (SPME MEP Sink ) and Ethernet TCM
> MEP Sink (UP MEP)
>
> In general, UP MEP functions insert OAM in the direction of the switch
> fabric and DOWN MEP functions insert OAM in the direction of the physical
> interface.
>
> -------------------------------------
> |        switch fabric              |
> -------------------------------------
>       |          |
>   ^   ^          v   |
> OAM|   |          |   |OAM
> ----  / \   UP   / \  --->
>     /   \ MEP  /   \
>     -----      -----
>       |          |
>       ^          v
>       |          |
>     -----      -----
>     \   / DOWN \   /
> <---  \ /   MEP  \ /   ----
> OAM|   |          |    |OAM
>   |   ^          v    v
>       |          |
>
>     LINE OR TRIB CARD
>
>
> Regards,
> Maarten
>
>
>
> ________________________________
>
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of venkatesan mahalingam
> Sent: donderdag 29 juli 2010 18:54
> To: [email-masked]
> Subject: Re: [mpls-tp] Clarification request on MPLS-TP maintanence
> identifiers
>
>
>  Hi,
> Can transport guys please respond to the below query?
>
> Thanks,
> Venkat.
> On Wed, Jul 28, 2010 at 5:03 PM, venkatesan mahalingam
> <[email-masked]> wrote:
>
>
>        Hi,
>        >As per draft-ietf-mpls-tp-oam-framework-07.txt section 3.1.
> Maintenance Entity and Maintenance Entity Group
>
>        >For associated bi-directional point-to-point transport
>        >paths, two independent unidirectional Maintenance Entities are
>        >defined to independently monitor each direction.
>
>        >For co-routed bi-directional point-to-point transport
>        >paths, a single bidirectional Maintenance Entity is defined to
>        >monitor both directions congruently.
>
>        <VM> Is there any requirement to have more than two MEPs (local MEP
> and remote MEP) in a single ME of MEG or is it fixed that only two MEPs can
> exist in a single ME of MEG?
>
>        How to associate multiple client MEGs to a single server MEG without
> having the concept of MEG level as in Y.1731, was there any similar method
> thought about for MPLS-TP?
>
>        Please describe a typical MPLS-TP deployment scenario of UP and DOWN
> MEPs in an LSPs, PWs and sections?
>
>        --
>        Best Regards,
>        Venkatesan Mahalingam.
>
>
>
>
>
> --
> Best Regards,
> Venkatesan Mahalingam.
>
>
>

-- 
Best Regards,
Venkatesan Mahalingam.